package at.bestsolution.rsd.rt.rs;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.ws.rs.core.StreamingOutput;

import at.bestsolution.rsd.rt.FileStream;

public class FileStreamingOutput implements StreamingOutput {
	private final FileStream stream;

	public FileStreamingOutput(FileStream stream) {
		this.stream = stream;
	}

	@Override
	public void write(OutputStream output) throws IOException {
		try (InputStream fileStream = stream.getStream()) {
			int l;
			byte[] buf = new byte[1024];
			while ((l = fileStream.read(buf)) != -1) {
				output.write(buf, 0, l);
			}
		}
	}
}
