package at.bestsolution.rsd.rt.rs;

import javax.ws.rs.core.Response;
import javax.ws.rs.ext.ExceptionMapper;
import javax.ws.rs.ext.Provider;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import at.bestsolution.rsd.rt.RSDException;

@Provider
public class RSDExceptionMapper implements ExceptionMapper<RSDException> {
	
	private static final Logger LOGGER = LoggerFactory.getLogger(RSDExceptionMapper.class);
	
	@Override
	public Response toResponse(RSDException exception) {
		int statusCode = exception.statusCode().orElse(500);
		LOGGER.error(String.format("%d", statusCode), exception);
		return Response.status(statusCode).entity(exception.toResultObject()).build();
	}

	
}
